Fuel should support consuming upstream Puppet Modules instead of MOS specific versions

Registered by Alex Schultz on 2015-11-17

The community version of Fuel should be aligned with the Upstream versioning of Puppet Modules. We should align fuel-library to be able to consume the current master version of the upstream modules for development. By aligning with the development version of these modules, we will be more inline with the upstream OpenStack release timeline and be aware of upstream changes sooner. We should switch the versioning of our MOS specific puppet module versions to be a downstream of the Community version of Fuel.

Blueprint information

Status:
Not started
Approver:
None
Priority:
Undefined
Drafter:
Alex Schultz
Direction:
Needs approval
Assignee:
None
Definition:
Discussion
Series goal:
None
Implementation:
Unknown
Milestone target:
None

Related branches

Sprints

Whiteboard

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.